<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Michael's Online Marketplace</title>

      <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  <script>
  function openStore(evt, store) {
      // Declare all variables
      var i, tabcontent, tablinks;
  
      // Get all elements with class="tabcontent" and hide them
      tabcontent = document.getElementsByClassName("tabcontent");
      for (i = 0; i < tabcontent.length; i++) {
          tabcontent[i].style.display = "none";
      }
  
      // Get all elements with class="tablinks" and remove the class "active"
      tablinks = document.getElementsByClassName("tablinks");
      for (i = 0; i < tablinks.length; i++) {
          tablinks[i].className = tablinks[i].className.replace(" active", "");
      }
  
      // Show the current tab, and add an "active" class to the button that opened the tab
      storeContent = document.getElementsByClassName(store);
      for (i=0; i < storeContent.length; i++) {
        storeContent[i].style.display = "block"
      }
      //document.getElementById(store).style.display = "block";
      evt.currentTarget.className += " active";
  }
  </script>
  </head>
  <body>
    <div class="container">
      <div class="row">
        <div class="col-xs-12 col-sm-8 col-sm-push-2">
          <h1 class="text-center">Michael's Online Marketplace</h1>
          <hr/>
          <br/>
        </div>
      </div>

      <div id="petsRow" class="row">
        <!-- PETS LOAD HERE -->
      </div>
    </div>

<div class="tab" style="margin: 10px;">
    <button id="tablink-0" class="tablinks" onclick="openStore(event, 'store-0')">Store 0</button>
    <button class="tablinks" onclick="openStore(event, 'store-1')">Store 1</button>
    <button class="tablinks" onclick="openStore(event, 'store-2')">Store 2</button>
    <button class="tablinks" onclick="openStore(event, 'store-3')">Store 3</button>
</div>

<!-- Tab content 
<div id="London" class="tabcontent">
    <h3>London</h3>
      <p>London is the capital city of England.</p>
</div>

<div id="Paris" class="tabcontent">
    <h3>Paris</h3>
      <p>Paris is the capital of France.</p> 
</div>

<div id="Tokyo" class="tabcontent">
    <h3>Tokyo</h3>
      <p>Tokyo is the capital of Japan.</p>
</div> -->
    <div id="template" style="display: none">
      <div class="col-sm-12 col-md-12 col-lg-12">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 class="panel-title">Administrator</h3>
          </div>
          <div class="panel-body">
            <form>
            <div class="form-group">
              <label>Add Administrator</label>
              <input  class="form-control" id="admin-add" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-add" type="button" data-id="0">Add Administrator</button>
            </div> 
            </form>
            <form>
            <div class="form-group">
              <label>Remove Administrator</label>
              <input type="email" class="form-control" id="admin-remove" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-remove" type="button" data-id="0">Remove Administrator</button>
            </div> 
            </form>
          </div>
        </div>
      </div>
    </div>
    <div id="template" class="store-owner" style="display: none">
      <div class="col-sm-12 col-md-12 col-lg-12">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 id="store-name-0" class="panel-title">Store #1</h3>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <label>Current Store Owner</label>
              <div id="owner-address-0">0x0000000000000000000000000000000000000000</div>
            </div>
            <form>
            <div class="form-group">
              <label>Change Store Owner</label>
              <input  class="form-control" id="store-change-admin" store-number="0" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button id="chng-admin" class="btn btn-default" type="button" data-id="0">Change Administrator</button>
            </div> 
            </form>
            <form>
            <div class="form-group">
              <label>Change Store Name</label>
              <input type="email" class="form-control" id="store-change-name" store-number="0" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button id="chng-name" class="btn btn-default" type="button" data-id="0">Change Store Name</button>
            </div> 
            </form>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-12 col-lg-6" style="display: none">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 class="panel-title">Store #2</h3>
          </div>
          <div class="panel-body">
            <form>
            <div class="form-group">
              <label>Change Administrator</label>
              <input  class="form-control" id="admin-add" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-add" type="button" data-id="0">Change Administrator</button>
            </div> 
            </form>
            <form>
            <div class="form-group">
              <label>Change Store Name</label>
              <input type="email" class="form-control" id="admin-remove" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-remove" type="button" data-id="0">Remove Administrator</button>
            </div> 
            </form>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-12 col-lg-6" style="display: none">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 class="panel-title">Administrator</h3>
          </div>
          <div class="panel-body">
            <form>
            <div class="form-group">
              <label>Add Administrator</label>
              <input  class="form-control" id="admin-add" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-add" type="button" data-id="0">Add Administrator</button>
            </div> 
            </form>
            <form>
            <div class="form-group">
              <label>Remove Administrator</label>
              <input type="email" class="form-control" id="admin-remove" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-remove" type="button" data-id="0">Remove Administrator</button>
            </div> 
            </form>

          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-12 col-lg-12" style="display: none">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 class="panel-title">Administrator</h3>
          </div>
          <div class="panel-body">
            <form>
            <div class="form-group">
              <label>Add Administrator</label>
              <input  class="form-control" id="admin-add" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-add" type="button" data-id="0">Add Administrator</button>
            </div> 
            </form>
            <form>
            <div class="form-group">
              <label>Remove Administrator</label>
              <input type="email" class="form-control" id="admin-remove" aria-describedby="emailHelp" placeholder="Ethereum Account">
              <button class="btn btn-default btn-remove" type="button" data-id="0">Remove Administrator</button>
            </div> 
            </form>

          </div>
        </div>
      </div>

    </div>

    <div id="productsRow"></div>

		<div id="productTemplate">
      <div class="col-sm-12 col-md-3 col-lg-3 tabcontent" style="display: none;">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 class="panel-title"></h3>
          </div>
          <div class="panel-body">
            <!--<div class="form-group">
              <label>Name:</label>
              <div id="product-1"></div>
            </div>
						<div class="form-group">
              <label>Quantity:</label>
              <div id="product-1-price">0</div>
            </div>
            <div class="form-group">
              <label>Price:</label>
              <div id="product-1-price">0</div>
            </div> -->

						<div id="updateProduct">
              <form>
              <div class="form-group" style="display: block">
                <label>Name</label>
                <input  class="form-control name" placeholder="Name">
              </div> 
              <div class="form-group" style="display: block">
                <label>Quantity</label>
                <input  class="form-control quantity" placeholder="Quantity">
              </div> 
              <div class="form-group" style="display: block">
                <label>Price</label>
                <input class="form-control price" placeholder="Price">
                <button class="btn btn-default btn-chng-prod store-owner" style="display: none"  type="button" data-id="0">Change</button>
                <button class="btn btn-default btn-buy-prod" type="button" data-id="0">Buy</button>
              </div> 
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>

<!--    <div id="store-0" class="tabcontent" style="display: block">
      <div class="col-sm-12 col-md-3 col-lg-3">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 id="store-name-0" class="panel-title">Product #1</h3>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <label>Name:</label>
              <div id="product-1"></div>
            </div>
						<div class="form-group">
              <label>Quantity:</label>
              <div id="product-1-price">0</div>
            </div>
            <div class="form-group">
              <label>Price:</label>
              <div id="product-1-price">0</div>
            </div>

            <form>
            <div class="form-group store-owner" style="display: none">
              <label>Change Product 1 Name</label>
              <input  class="form-control" id="store-change-admin" store-number="0" aria-describedby="emailHelp" placeholder="Name">
              <button id="chng-admin" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
            <form>
            <div class="form-group store-owner" style="display: none">
              <label>Change Product 1 Price</label>
              <input type="email" class="form-control" id="store-change-name" store-number="0" aria-describedby="emailHelp" placeholder="Price">
              <button id="chng-name" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-3 col-lg-3">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 id="store-name-0" class="panel-title">Product #2</h3>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <label>Name:</label>
              <div id="product-1"></div>
            </div>
            <div class="form-group">
              <label>Quantity:</label>
              <div id="product-1-price">0</div>
            </div>
            <div class="form-group">
              <label>Price:</label>
              <div id="product-1-price">0</div>
            </div>

            <form>
            <div class="form-group change-product" style="display: none">
              <label>Change Product 2 Name</label>
              <input  class="form-control" id="store-change-admin" store-number="0" aria-describedby="emailHelp" placeholder="Name">
              <button id="chng-admin" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
            <form>
            <div class="form-group change-product" style="display: none">
              <label>Change Product 2 Price</label>
              <input type="email" class="form-control" id="store-change-name" store-number="0" aria-describedby="emailHelp" placeholder="Price">
              <button id="chng-name" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-3 col-lg-3">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 id="store-name-0" class="panel-title">Product #3</h3>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <label>Name:</label>
              <div id="product-1"></div>
            </div>
            <div class="form-group">
              <label>Price:0</label>
              <div id="product-1-price"></div>
            </div>

            <form>
            <div class="form-group change-product">
              <label>Change Product 3 Name</label>
              <input  class="form-control" id="store-change-admin" store-number="0" aria-describedby="emailHelp" placeholder="Name">
              <button id="chng-admin" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
            <form>
            <div class="form-group change-product">
              <label>Change Product 3 Price</label>
              <input type="email" class="form-control" id="store-change-name" store-number="0" aria-describedby="emailHelp" placeholder="Price">
              <button id="chng-name" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
          </div>
        </div>
      </div>
      <div class="col-sm-12 col-md-3 col-lg-3">
        <div class="panel panel-default panel-pet">
          <div class="panel-heading">
            <h3 id="store-name-0" class="panel-title">Product #4</h3>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <label>Name:</label>
              <div id="product-1"></div>
            </div>
            <div class="form-group">
              <label>Price:0</label>
              <div id="product-1-price"></div>
            </div>

            <form>
            <div class="form-group change-product">
              <label>Change Product 4 Name</label>
              <input  class="form-control" id="store-change-admin" store-number="0" aria-describedby="emailHelp" placeholder="Name">
              <button id="chng-admin" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
            <form>
            <div class="form-group change-product">
              <label>Change Product 4 Price</label>
              <input type="email" class="form-control" id="store-change-name" store-number="0" aria-describedby="emailHelp" placeholder="Price">
              <button id="chng-name" class="btn btn-default" type="button" data-id="0">Change</button>
            </div> 
            </form>
          </div>
        </div>
      </div> -->
   
    </div>   
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
    <script src="js/web3.min.js"></script>
    <script src="js/truffle-contract.js"></script>
    <script src="js/app.js"></script>
  </body>
</html>
